---
title: CSSSkew
slug: Web/API/CSSSkew
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSSkew
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Interface
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSSkew</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} is part of the {{domxref('CSSTransformValue')}} interface. It represents the <code><a href="/en-US/docs/Web/CSS/transform-function/skew()">skew()</a></code> value of the individual {{CSSXRef('transform')}} property in CSS.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSSkew.CSSSkew()")}}</dt>
 <dd>Creates a new <code>CSSSkew</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSSkew.ax','ax')}}</dt>
 <dd>Returns or sets the x-axis value.</dd>
 <dt>{{domxref('CSSSkew.ay','ay')}}</dt>
 <dd>Returns or sets the y-axis value.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssskew','cssskew')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSSkew")}}</p>
